# include <iostream>
# include <fstream>
using namespace std;
int main()
{
	//doc vao so n
	ifstream f1("tinh.inp");
	int n;
	f1>>n;
	f1.close();
	//mo tep ghi du lieu
	ofstream f2("tinh.out");
	//khai bao cac bien
	long long a, b, d;
	float c;
	//phan a. tinh S=1 + 3 + 5 + 7 + 9 +...+ (2n+1);
	a=0;
	for (int i=1;i<n;i++)
	{
		a=a+(2*i+1);
	}
	f2<<a<<endl;
	//phan b.	tinh S=n!;
	b=1;
	for (int i=1;i<n;i++)
	{
		b=b*i;
	}
	f2<<b<<endl;
	//phan c
	c=0.00;
	cout<<"c="<<c<<endl;
	for (int i=2;i<n+1;i++)
	{
		float s= 1/(float(i)*float(i+1));
		cout<<"s["<<i<<"]="<<s<<endl;
		c+=s;
	}
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<c<<endl;
	cout<<"c="<<c<<endl;
	//phan d  tinh S(1)=1; S(2)=1; S(n+2) = S(n)+S(n+1).
	long long d1, d2;
	d1=1; d2 = 1;
	for (int i=3;i<=n; i++)
	{
		d=d1+d2;
		d1=d2;
		d2=d;
	}
	f2<<d;
	f2.close();
	return 0;
}
